Download it now!
Bug 63412 - PRINTING Handout: all text in a slide becomes raster picture if raster picture is overlapping any text.
Summary: PRINTING Handout: all text in a slide becomes raster picture if raster pictur...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Print-Dialog Handout-View
  Show dependency treegraph
 
Reported: 2013-04-11 03:47 UTC by Rick Yorgason
Modified: 2018-09-25 02:51 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example of problem document (74.60 KB, application/zip)
2013-04-16 05:37 UTC, Rick Yorgason
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rick Yorgason 2013-04-11 03:47:17 UTC
When printing handouts, any slides with bitmaps that overlap anything will be flattened entirely. This includes rasterizing text which is not overlapping or being overlapped by anything.

Normally this isn't a problem, unless you're trying to use a PDF printer. Unfortunately, this PDF printers are currently the only way to export handouts as PDFs (see bug #45498, as well as the Impress user guide).

This is inconsistent with printing slides, which will properly render text when given the same slides.

Steps to reproduce:
1) Install a PDF printer, such as PDFCreator.
2) Start a new default presentation.
3) On the first slide, type 'test' into the title field.
4) In the body of the slide, enter some text or graphics.
5) Drag a bitmap image onto the slide so it overlaps the body but not the title.
6) Print the slides to your PDF printer.
7) Print the handout to your PDF printer.

Expected results:
In both PDFs, the word 'test' should be rendered as text and selectable even though the body is flattened.

Actual results:
'test' is correctly rendered as text in the PDF of the slides, but incorrectly rasterized in the PDF of the handout.

Notes:
* This was tested on Windows 8 with PDFCreator and PNG bitmaps. 
* This problem also exists in OpenOffice 3.4.1.
Comment 1 Rainer Bielefeld Retired 2013-04-13 16:15:44 UTC
@Rick Yorgason
Please attach a testkit.zip with sample document and PDF print (Use Add an attachment (proposed patch, testcase, etc.) here on the page)
Comment 2 Rick Yorgason 2013-04-16 05:37:10 UTC
Created attachment 78053 [details]
Example of problem document

Adding zip with four files:

input.odp - A document that exhibits the bug.

output_slides_correct.pdf - An example of how printing as slides leaves the 'Selectable' text properly selectable.

output_handouts_incorrect.pdf - An example of how printing as handouts fails to leave the 'Selectable' text intact.

evilsmile.png - The bitmap used in the document.
Comment 3 Rainer Bielefeld Retired 2013-04-16 06:24:57 UTC
Problem more or already [Reproducible] withreporter's sample, FreePDF printer and  Server Installation of "LibreOffice 3.3.3  English UI/ German Locale [OOO330m19 (Build:301) tag libreoffice-3.3.3.1] on German WIN7 Home Premium (64bit) 

Steps how to reproduce:
1. Open Sample document from LibO Start center
2. Print with FreePDF to a PDF document
3. delete grim smiley
4. Print with FreePDF to a PDF document with different name as in Step 2
5. Open both documents in Adobe Reader X and compare text 
   "Not selectable" with zoom 400% or so
   Expected: in both documents high resolution characters, Text can be selected
             as text and can be copied as text to text editor
   Actual: Text from step 2 with ugly artifacts, and not selectable as text

All the same with 4.0.2.2

@Rick Yorgason
I observe a much more general bug, not llmited to 4.0.2.2 and PDF printer, and "handout" (you did not mention this in your report step by step instruction).
Did I misunderstand something or IS it a more general problem?
Comment 4 Rick Yorgason 2013-04-16 06:36:27 UTC
@Rainer Bielefeld
To clarify, in my example document the "Selectable" and "Not selectable" text documents my expectations, not the actual results.

It would be nice if the "Not selectable" text was selectable, but I understand why that part of the slide might have to be flattened, and at least it's consistent.

The "Selectable" text, on the other hand, acts differently depending on whether you're printing slides or handouts. In the handouts, it flattens the entire slide, instead of just the parts of the slide with overlapping elements.
Comment 5 Rainer Bielefeld Retired 2013-04-16 07:10:11 UTC
Already [Reproducible] with  "LibreOffice 3.6.6.2 release " German UI/ German Locale [Build-ID: f969faf] {pull date 2013-04-03} on German WIN7 Home Premium (64bit), proceeding as per original report shows text "Selectable" in printedhandout.PDF not as text, but as raster picture, can not be selected as text.

Already [Reproducible]with Server Installation of "LibreOffice 3.3.3  English UI/ German Locale [OOO330m19 (Build:301) tag libreoffice-3.3.3.1] on German WIN7 Home Premium (64bit).

Same with AOOo 3.4.0 and OOo 3.1.1, so probably inherited from OOo.

@Rick Yorgason:
I'm sorry, I completely misunderstood the problem.
I hope now everything is correct?
Currently I only see this confirmed for WIN (although I expect it will be the same for other OS)?
Comment 6 Rick Yorgason 2013-04-16 07:13:43 UTC
@Rainer Bielefeld
I expect this bug is OS-agnostic, but my Linux/Hackintosh box isn't working right now, so I haven't tested them on any OS but Windows.
Comment 7 QA Administrators 2015-03-04 02:18:47 UTC Comment hidden (obsolete)
Comment 8 Rick Yorgason 2015-03-04 05:01:27 UTC
Still present in 4.4.1.2 on Windows 8 x64. (And still relevant as #45498 still isn't fixed.)
Comment 9 Till 2015-03-26 20:48:52 UTC
I am not sure if this is the same bug: when i copy/paste a drawing from Draw in a Wirter-document, and select text-wrap = follow contour and export this as PDF (or print it as PS), all the lines of text next to the drawing and the drawing itself (regardless if shapes or bitmaps) gets rasterized TOGETHER as ONE raster-image the resulting PDF.

Lines of before and after the drawing are exported as text-spans in the PDF.
Comment 10 tommy27 2016-04-16 07:26:09 UTC Comment hidden (obsolete)
Comment 11 Rick Yorgason 2016-04-16 16:56:45 UTC
Still present in 5.1.2.2 on Windows 10 x64. (And still relevant as #45498 still isn't fixed.)
Comment 12 QA Administrators 2017-05-22 13:22:03 UTC Comment hidden (obsolete)
Comment 13 Rick Yorgason 2017-05-23 03:45:39 UTC
I would be shocked if this bug is fixed, but I moved on from the project that hit this bug years ago, so I'm not going to bother with it anymore. It sucks that I put the work into the reproduction recipe for it to be ignored, but I don't feel like doing this busy work every year will make it any less ignored. If your system automatically closes the bug, so be it.
Comment 14 QA Administrators 2018-09-25 02:51:12 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug